<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
{#    <meta http-equiv="refresh" content="300" >#}
    <title>Weather In {{ weather.location }}</title>
    <link rel="shortcut icon" type="image/jpg" href="/static/favicon-32x32.png">
    <link rel="stylesheet" type="text/css" href="{{ url_for("static", filename="styles/style.css") }}">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.12.1/css/all.css" crossorigin="anonymous">
</head>
<body>
    <div class="weather-card-wrapper">
        <div class="weather-card ">
            <div class="weather-icon">
                <img src = "/static/icons/{{ weather.icon }}.svg" alt="Forecast SVG"/>
            </div>
            <p class="description">{{ weather.description }}</p>
            <h1>{{ weather.temp }}°</h1>
            <p class="location">{{ weather.location }}, {{ weather.code }}</p>
        </div>
    </div>
    <div class="weather-extra-wrapper">
        <div class="icon wind">
            <div class="tooltip">Wind: {{ weather.wind }}m/s</div>
            <span><i class="fas fa-wind"></i></span>
        </div>
        <div class="icon feels_like">
            <div class="tooltip">Feels like: {{ weather.feels_like }}°C</div>
            <span><i class="fas fa-temperature-low"></i></span>
        </div>
        <div class="icon pressure">
            <div class="tooltip">Pressure: {{ weather.pressure }}hPa</div>
            <span><i class="fas fa-thermometer"></i></span>
        </div>
        <div class="icon humidity">
            <div class="tooltip">Humidity: {{ weather.humidity }}%</div>
            <span><i class="fas fa-cloud-rain"></i></span>
        </div>
    </div>
    <div class="weather-button-wrapper">
        <a onClick="window.location.reload()">
            <button class="btn-hover btn">Update</button>
        </a>
    </div>
    <h3 class="last_update">Last Update: {{ weather.update_time }}</h3>
</body>
</html>
